
<?php
include_once('def.php');
include 'session_read.php';
include('wrenchboard_class.php');
$wrenchboard = new wrenchboard_class();


    $arrayVar = [
        "data" => [
            [
                "id" => "0",
                "name" => "Possible Topics on ",
                "question_key" => "ASK01",
            ],
            [
                "id" => "1",
                "name" => "Summary description of",
                "question_key" => "ASK02",
            ],
        ]
    ];
    
    $arrayQes = [
        "data" => [
            [
                "id" => "0",
                "name" => "Possible Topics on ",
                "question" => ['Automotive Engines','Best Programmimng laguages'],
            ],
            [
                "id" => "1",
                "name" => "Summary description of",
                "question" => ['Space travel','Quantum Computing'],
            ],
        ]
    ];

    $qc= rand(0,1);

$data = array(
    "member_id" => $member_id ,
    "sessionid" => $session_id ,
    "uid" => $uid,
    "question_key" =>  $arrayVar["data"][$qc]["question_key"],
    "question" => $arrayQes["data"][$qc]["question"][rand(0,1)],
    'action'=>WRENCHBOARD_FAMILY_LIST
);

$out = array();
$ret = $wrenchboard->wrenchboard_api($data,$out,'askresources');

?>